#ifndef APP_H
#define APP_H

#include <QObject>
#include "interface/iStompObserver.h"
#include "stomp.h"

class App : public QObject, public interface::iStompObserver {
public:
    App();
    ~App() = default;

    // iStompObserver interface
private:
    void connectConfirmation(bool success, int version);
    void sendConfirmation(bool success);
    void subscribeConfirmation(bool success);
    void receiveIndication(int id, QString destination, QString body);
    void disconnectConfirmation();
    void disconnectIndication();

private:
    Stomp st;
};

#endif // APP_H
